package body MSHTML.IElementTraversal_Object is

   function Get_firstElementChild
     (This : IElementTraversal_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IElementTraversal_Get_firstElementChild);
   end Get_firstElementChild;

   function Get_lastElementChild
     (This : IElementTraversal_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IElementTraversal_Get_lastElementChild);
   end Get_lastElementChild;

   function Get_previousElementSibling
     (This : IElementTraversal_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IElementTraversal_Get_previousElementSibling);
   end Get_previousElementSibling;

   function Get_nextElementSibling
     (This : IElementTraversal_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IElementTraversal_Get_nextElementSibling);
   end Get_nextElementSibling;

   function Get_childElementCount
     (This : IElementTraversal_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IElementTraversal_Get_childElementCount);
   end Get_childElementCount;

end MSHTML.IElementTraversal_Object;

